$ ===========================================================================
$ [DIALOG\SLDEF.INC]
$ e-norm-Dialog         : Include-Datei zur benutzerspezifischen Definition
$                         von erweiterten Stcklistenattributen
$
$ Autor                 : P. Locarek, P. Locarek SOFTWARETECHNIK
$ Copyright             : P. Locarek SOFTWARETECHNIK
$ Datum der Erstellung  :
$ letzte nderung       :
$ Rev.:                 : 9.000
$ ===========================================================================


$ In dieser Datei werden Zuordnungen der Stcklisteninformationen von
$ Normteilen zu den Datenbankfeldern getroffen.
$ Diese Datei kann vom Anwender angepasst werden, um Feldzuordnungen
$ festzulegen.

ATTRIBUTES = PARENTHESIS
if not undef(U:EN.SLLANG)
   {
   EN.SLLANG = U:EN.SLLANG
   else
      {
      EN.SLLANG = 'DEU'
      }
   }

$<SL-Attribute>                  <Beschreibung>                <'ALTE' Feldbezeichner (v.6.2)>

SL..FLAG       = 'slN'           $ Teileklasse                 (Kennung)
SL..QUANTITY   = EN.SL.QUANTITY  $ Anzahl                      (ANZ)
SL..UNIT       = EN.SL.UNIT      $ Einheit                     (EINHEIT)



$ ---------------------------------------------------------------------------
$ Definition der landessprachlichen SL - Texte:
$ ---------------------------------------------------------------------------

$ deutsch

if (EN.SLLANG = 'DEU')
   {
   SL..NAME       = EN.SL.NAME      $ Bezeichnung deutsch         (BENENNUN)
   SL..NAME1      = EN.SL.NAME1     $ Bezeichnung englisch
   SL..NAME2      = EN.SL.NAME2     $ Bezeichnung franzsisch
   SL..NAME3      = EN.SL.NAME3     $ Bezeichnung italienisch
   }


$ englisch

if (EN.SLLANG = 'ENG')
   {
   SL..NAME       = EN.SL.NAME1     $ Bezeichnung englisch
   SL..NAME1      = EN.SL.NAME      $ Bezeichnung deutsch         (BENENNUN)
   SL..NAME2      = EN.SL.NAME2     $ Bezeichnung franzsisch
   SL..NAME3      = EN.SL.NAME3     $ Bezeichnung italienisch
   }


$ franzsisch

if (EN.SLLANG = 'FRA')
   {
   SL..NAME       = EN.SL.NAME2     $ Bezeichnung franzsisch
   SL..NAME1      = EN.SL.NAME      $ Bezeichnung deutsch         (BENENNUN)
   SL..NAME2      = EN.SL.NAME1     $ Bezeichnung englisch
   SL..NAME3      = EN.SL.NAME3     $ Bezeichnung italienisch
   }


$ italienisch

if (EN.SLLANG = 'ITA')
   {
   SL..NAME       = EN.SL.NAME3     $ Bezeichnung italienisch
   SL..NAME1      = EN.SL.NAME      $ Bezeichnung deutsch         (BENENNUN)
   SL..NAME2      = EN.SL.NAME1     $ Bezeichnung englisch
   SL..NAME3      = EN.SL.NAME2     $ Bezeichnung franzsisch
   }


$ *** neu in TRIGA 3.2 ***
if varexist ('EN.SL.MAT')
   {
   SL..MATERIAL   = EN.SL.MAT       $ Material/Werkstoff
   else
      {
      SL..MATERIAL   =  ''
      }
   }
if varexist ('EN.SL.LENGTH')
   {
   SL..LENGTH     = EN.SL.LENGTH    $ Lnge
   else
      {
      SL..LENGTH     = 0
      }
   }


$ ---------------------------------------------------------------------------
$ Auslieferungszustand:
$ =====================
$ Es sind KEINE Artikelnummern vergeben
$ ---------------------------------------------------------------------------

if (U:EN.SLEXTMODE = 0)
   {

$   SL..INFO       = EN.SL.INFO      $ DIN/EN/ISO-Bezeichnung,     (INFO)
$                                    $ z.B. 'EN 24014'

$   SL..IDNR       = EN.SL.IDNR      $ Abmessungen                 (IDNR)
$                                    $ z.B. Lagerkurzzeichen '7206 B'
$                                    $ o.   Nenngrssen 'M12x80-8.8 / N 931'
$                                    $ o..

$ *** RUCO / 30.11.2006 09:10 / Locarek ***
$ SL..DIN neu eungefhrt und mit DIN/ISO Nummer belegt
   SL..DIN        = EN.SL.INFO      $ DIN/EN/ISO-Bezeichnung,     (INFO)
                                    $ z.B. 'EN 24014'


   SL..INFO       = ''					$ Infofeld leeren


   SL..IDNR       = EN.SL.IDNR + ' / ' + EN.SL.INFO      $ Abmessungen                 (IDNR)
                                    $ z.B. Lagerkurzzeichen '7206 B'
                                    $ o.   Nenngrssen 'M12x80-8.8 / N 931'
                                    $ o..

$ *** RUCO / 30.11.2006 09:10 / Locarek ***




   $ *** neu in SP 2 ***
   SL..SEMIMAT    = EN.SL.IDNR
   $ *** neu in SP 2 ***

   $ Die folgenden Felder kommen aus der Artrikeldatenbank und werden nur
   $ ausgewertet, wenn die Artikeldatenbank (Teilenummern) aktiviert ist.

   SL..PARTNR     = EN.SL.PARTNR    $ Artikelnummer / Part-Number       (TEILENR)
   SL..WEIGHT     = EN.SL.WEIGHT    $ Gewicht       / Weight            (GEWICHT)
   SL..INFO1      = EN.SL.INFO1     $ Zusatzinfo 1  / Additional info 1 (INFO1)
   SL..INFO2      = EN.SL.INFO2     $ Zusatzinfo 2  / Additional info 2 (INFO2)
   SL..INFO3      = EN.SL.INFO3     $ Zusatzinfo 3  / Additional info 3 (INFO3)
   }


$ ---------------------------------------------------------------------------
$ Anpassungszustand:
$ ==================
$ Es erfolgt eine Auswertung MIT Artikelnummern
$ ---------------------------------------------------------------------------

if (U:EN.SLEXTMODE = 1)
   {

   SL..INFO       = EN.SL.INFO+' - '+EN.SL.IDNR       $ DIN/EN/ISO-Bezeichnung, (INFO)
                                                      $ z.B. 'EN 24014 - M 12x80-8.8'
                                                      $ o.   'DIN 625 - 6202-2Z'

   $ *** neu in SP 2 ***
   SL..SEMIMAT    = EN.SL.IDNR
   $ *** neu in SP 2 ***


   if (EN.SL.PARTNR <> '')
      {
      SL..IDNR       = EN.SL.PARTNR                   $ Artikelnummer aus USER-Tabelle (TEILENR)
      else
         {
         SL..IDNR    = EN.SL.INFO+' - '+EN.SL.IDNR    $ Wenn die USER.Datenbank KEINE Artikelnummer enthlt,
         }
      }
                                                      $ wird die IDNR mit einem String gefllt, der das Teil
                                                      $ eindeutig beschreibt, z.B.:
                                                      $ 'EN 24014 - M 12x80-8.8'

$ *** RUCO / 30.11.2006 09:10 / Locarek ***
$ SL..DIN neu eungefhrt und mit DIN/ISO Nummer belegt
   SL..DIN        = EN.SL.INFO      $ DIN/EN/ISO-Bezeichnung,     (INFO)
                                    $ z.B. 'EN 24014'

   $ Die folgenden Felder kommen aus der Artrikeldatenbank und werden nur
   $ ausgewertet, wenn die Artikeldatenbank (Teilenummern) aktiviert ist.

   SL..PARTNR     = ''              $ leer
   SL..WEIGHT     = EN.SL.WEIGHT    $ Gewicht                     (GEWICHT)
   SL..INFO1      = EN.SL.INFO1     $ Zusatzinfo 1                (INFO1)
   SL..INFO2      = EN.SL.INFO2     $ Zusatzinfo 2                (INFO2)
   SL..INFO3      = EN.SL.INFO3     $ Zusatzinfo 3                (INFO3)
   }


